import { Plugin } from 'vite';

interface Options {
    /**
     * basic path
     */
    basePath: string;
    /**
     *
     */
    mockDir?: string;
    /**
     * monitor file changes
     */
    watchFile?: boolean;
    /**
     * rules for parsing class names
     */
    includes?: RegExp | RegExp[];
    /**
     * exclusion rules for parsing class names
     */
    excludes?: RegExp | RegExp[];
}
interface MockData {
    url: string;
    /**
     * http status code
     */
    httpCode?: number;
    /**
     * delay time
     */
    timeout?: number;
    /**
     * response body
     */
    response: Record<string, any>;
}

declare function vitePluginFaker(opts: Options): Plugin;

export default vitePluginFaker;

export { MockData, Options };
